Index: /utils/tools/NESTING/namelist_nordic1
===================================================================
--- /utils/tools/NESTING/namelist_nordic1	(revision 10024)
+++ /utils/tools/NESTING/namelist_nordic1	(revision 10025)
@@ -1,4 +1,4 @@
 &input_output
-    iom_activated = true 
+    iom_activated = .true. 
 /
 
@@ -6,15 +6,17 @@
     parent_coordinate_file = 'coordinates.nc'
     parent_meshmask_file   = 'meshmask.nc'  
+    parent_domcfg_output   = 'domain_cfg.nc'
 /    
     
 &bathymetry    
-    new_topo = true
+    new_topo = .true.
     elevation_database = 'GEBCO_2014_2D.nc'
     elevation_name     = 'elevation'
-    smoothing          = true
+    smoothing          = .true.
     smoothing_factor   = 0.6
+    ln_agrif_domain    = .true.
     npt_connect        = 2      ! default = 3
     npt_copy           = 2      ! default = 2
-    removeclosedseas   = true
+    removeclosedseas   = .true.
     type_bathy_interp  = 0 
     rn_hmin            = -3 
@@ -28,6 +30,8 @@
     rho  = 4
     rhot = 4
-    bathy_update        = true
+    nbghostcellsfine = 3
+    bathy_update = .true.
     updated_parent_file = 'bathy_updated.nc'				
+    updated_parent_domcfg = 'domain_cfg_updated.nc'
 /
 
@@ -42,5 +46,5 @@
     pa1       = 245.58132232490
     N         = 31
-    ldbletanh = .FALSE.
+    ldbletanh = .false.
     pa2       = 0
     ppkth2    = 0
@@ -49,5 +53,5 @@
     
 &partial_cells    	
-    partial_steps      = true
+    partial_steps      = .true.
     parent_bathy_meter = 'bathy_meter.nc'
     parent_batmet_name = 'Bathymetry'
Index: /utils/tools/NESTING/namelist_nordic1_update
===================================================================
--- /utils/tools/NESTING/namelist_nordic1_update	(revision 10024)
+++ /utils/tools/NESTING/namelist_nordic1_update	(revision 10025)
@@ -1,4 +1,4 @@
 &input_output
-    iom_activated = true 
+    iom_activated = .true. 
 /
 
@@ -6,4 +6,5 @@
     parent_coordinate_file = 'coordinates.nc'
     parent_meshmask_file   = 'meshmask.nc'  
+    parent_domcfg_output   = 'domain_cfg.nc'
 /    
     
@@ -14,7 +15,8 @@
     smoothing          = true
     smoothing_factor   = 0.6
+    ln_agrif_domain    = .true.
     npt_connect        = 2    
     npt_copy           = 2 
-    removeclosedseas   = true
+    removeclosedseas   = .true.
     type_bathy_interp  = 2 
     rn_hmin            = -3 
@@ -28,6 +30,8 @@
     rho  = 4
     rhot = 4
+    nbghostcellsfine = 3
     bathy_update = true
     updated_parent_file = 'bathy_updated_parent.nc'
+    updated_parent_domcfg = 'domain_cfg_updated_parent.nc'
 /
 
@@ -42,5 +46,5 @@
     pa1       = 245.58132232490
     N         = 31
-    ldbletanh = .FALSE.
+    ldbletanh = .false.
     pa2       = 0
     ppkth2    = 0
@@ -49,5 +53,5 @@
     
 &partial_cells    	
-    partial_steps      = true
+    partial_steps      = .true.
     parent_bathy_meter = 'bathy_meter.nc'
     parent_batmet_name = 'Bathymetry'
Index: /utils/tools/NESTING/namelist_nordic2
===================================================================
--- /utils/tools/NESTING/namelist_nordic2	(revision 10024)
+++ /utils/tools/NESTING/namelist_nordic2	(revision 10025)
@@ -1,4 +1,4 @@
 &input_output
-    iom_activated = true
+    iom_activated = .true.
 /
 
@@ -6,15 +6,17 @@
     parent_coordinate_file = '1_coordinates.nc'
     parent_meshmask_file   = '1_meshmask.nc'
+    parent_domcfg_output   = '1_domain_cfg.nc'
 /    
     
 &bathymetry    
-    new_topo           = true
+    new_topo           = .true.
     elevation_database = 'GEBCO_2014_2D.nc'
     elevation_name     = 'elevation'
-    smoothing          = true
+    smoothing          = .true.
     smoothing_factor   = 0.6
+    ln_agrif_domain    = .true.
     npt_connect        = 2 
     npt_copy           = 2 
-    removeclosedseas   = true
+    removeclosedseas   = .true.
     type_bathy_interp  = 0 
     rn_hmin            = -3
@@ -28,6 +30,8 @@
     rho  = 3
     rhot = 3
-    bathy_update = true
+    nbghostcellsfine = 3
+    bathy_update = .true.
     updated_parent_file = '1_bathy_updated.nc'
+    updated_parent_domcfg = '1_domain_cfg_updated.nc'
 /
 
@@ -42,5 +46,5 @@
     pa1       = 245.58132232490
     N         = 31
-    ldbletanh = .FALSE.
+    ldbletanh = .false.
     pa2       = 0
     ppkth2    = 0
@@ -49,5 +53,5 @@
     
 &partial_cells    	
-    partial_steps      = true
+    partial_steps      = .true.
     parent_bathy_meter = '1_bathy_meter.nc'
     parent_batmet_name = 'Bathymetry'
Index: /utils/tools/NESTING/src/agrif_connect_topo.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_connect_topo.f90	(revision 10024)
+++ /utils/tools/NESTING/src/agrif_connect_topo.f90	(revision 10025)
@@ -51,38 +51,56 @@
     TYPE(Coordinates) :: Grid     
     !
-    !
-    diff = 0
-    IF(MOD(rho,2) .EQ. 0) diff = 1
-    !
-    indx = 1 + nbghostcellsfine + CEILING(irafx/2.0) + diff      
-    indy = 1 + nbghostcellsfine + CEILING(irafy/2.0) + diff
-    bornex = 1+nbghostcellsfine + CEILING(irafx/2.0) + diff - irafx
-    borney = 1+nbghostcellsfine + CEILING(irafy/2.0) + diff - irafy
-    bornex2 = nxfin - (nbghostcellsfine) + irafx - CEILING(irafx/2.0) 
-    borney2 = nyfin - (nbghostcellsfine) + irafy - CEILING(irafy/2.0) 
-    !    
-    ALLOCATE(bathy_fin_constant(bornex-FLOOR(irafx/2.0):bornex2+FLOOR(irafx/2.0), &
-         borney-FLOOR(irafy/2.0):borney2+FLOOR(irafy/2.0)))
-    !
-    DO j = borney,borney2,irafy
-
-       jpt = jmin + 1 + nbghostcellsfine + (j-indy)/irafy
-       IF(j<=1) jpt = jmin + 1
-
-       DO i = bornex,bornex2,irafx
-
-          ipt = imin + 1 + nbghostcellsfine + (i-indx)/irafx
-          IF(i<=1) ipt = imin + 1
-          !       
-          DO jj = j-FLOOR(irafy/2.0),j+FLOOR(irafy/2.0)-diff
-             DO ii = i-FLOOR(irafx/2.0),i+FLOOR(irafx/2.0)-diff
-
-                bathy_fin_constant(ii,jj) = coarse_bathy(ipt,jpt)
-
+    IF( ln_agrif_domain ) THEN
+    !
+       diff = 0
+       IF(MOD(rho,2) .EQ. 0) diff = 1
+       !
+       indx = 1 + nbghostcellsfine + CEILING(irafx/2.0) + diff      
+       indy = 1 + nbghostcellsfine + CEILING(irafy/2.0) + diff
+       bornex = 1+nbghostcellsfine + CEILING(irafx/2.0) + diff - irafx
+       borney = 1+nbghostcellsfine + CEILING(irafy/2.0) + diff - irafy
+       bornex2 = nxfin - (nbghostcellsfine) + irafx - CEILING(irafx/2.0) 
+       borney2 = nyfin - (nbghostcellsfine) + irafy - CEILING(irafy/2.0) 
+       !    
+       ALLOCATE(bathy_fin_constant(bornex-FLOOR(irafx/2.0):bornex2+FLOOR(irafx/2.0), &
+          borney-FLOOR(irafy/2.0):borney2+FLOOR(irafy/2.0)))
+       !
+       DO j = borney,borney2,irafy
+          
+          jpt = jmin + 1 + nbghostcellsfine + (j-indy)/irafy
+          IF(j<=1) jpt = jmin + 1
+          
+          DO i = bornex,bornex2,irafx
+             
+             ipt = imin + 1 + nbghostcellsfine + (i-indx)/irafx
+             IF(i<=1) ipt = imin + 1
+             !       
+             DO jj = j-FLOOR(irafy/2.0),j+FLOOR(irafy/2.0)-diff
+                DO ii = i-FLOOR(irafx/2.0),i+FLOOR(irafx/2.0)-diff
+                   
+                   bathy_fin_constant(ii,jj) = coarse_bathy(ipt,jpt)
+                   
+                END DO
              END DO
+             
           END DO
-
-       END DO
-    END DO
+       END DO
+       
+    ELSE
+
+       ALLOCATE(bathy_fin_constant(1:nxfin,1:nyfin))
+
+       DO j = 1,nyfin-irafy+1,irafy
+          jpt = jmin + FLOOR( (j - 1.) / irafy )
+          !
+          DO i = 1,nxfin-irafx+1,irafx
+             ipt = imin + FLOOR( (i - 1.) / irafx )
+             !
+             bathy_fin_constant(i:i+irafx-1,j:j+irafy-1) = coarse_bathy(ipt,jpt)
+             !
+          END DO
+       END DO
+ 
+    ENDIF
     !
     !
